This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434473 - alsa-tools failed massrebuild attempt for GCC 4.3
alsa-tools failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:28 EST by Jesse Keating
Modified: 2013-01-09 22:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 12:29:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:28:05 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=446586
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 John Poelstra 2008-02-29 16:50:13 EST
x86_64 build failed

if g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"hdspmixer\"
-DVERSION=\"1.6\" -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -I. -I.     -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic  -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -fno-exceptions -MT HDSPMixerIOMixer.o -MD -MP -MF
".deps/HDSPMixerIOMixer.Tpo" -c -o HDSPMixerIOMixer.o HDSPMixerIOMixer.cxx; \
	then mv -f ".deps/HDSPMixerIOMixer.Tpo" ".deps/HDSPMixerIOMixer.Po"; else rm -f
".deps/HDSPMixerIOMixer.Tpo"; exit 1; fi
In file included from HDSPMixerWindow.h:48,
                 from HDSPMixerIOMixer.h:29,
                 from HDSPMixerInputs.h:26,
                 from HDSPMixerInputs.cxx:22:
HDSPMixerSetup.h:57: error: multiple parameters named 'w'
Comment 2 Tim Jackson 2008-03-01 10:47:05 EST
Upstream bug filed at 
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3814
Comment 3 Tim Jackson 2008-03-01 12:29:32 EST
It's fixed in upstream 1.0.16 which has now been imported and built in rawhide

Note You need to log in before you can comment on or make changes to this bug.